package servlets;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Documento;
import dbclass.DocumentoDAO;
import dbclass.DocumentoJDBC;

public class DocumentosEdit extends HttpServlet {
	private static final long serialVersionUID = 1L;
   
    public DocumentosEdit() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession(true);
		
		
		DocumentoDAO documentoDAO = new DocumentoJDBC(); 
		String tipo = request.getParameter("tipo");
		try {
			Documento documento = documentoDAO.findByTipo(tipo);
			session.setAttribute("documento", documento);    
			String url="/Documento.jsp";   
			ServletContext sc = getServletContext();
			RequestDispatcher rd = sc.getRequestDispatcher(url);
			rd.forward(request, response);    
			
		} catch (SQLException e) {
			
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			
			e.printStackTrace();
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		//HttpSession session = request.getSession(true);
		String url = null;
		
		DocumentoDAO documentoDAO = new DocumentoJDBC(); 
		
		String tipo = request.getParameter("tipo");  
		String isento = request.getParameter("isento");  
		String taxa = request.getParameter("taxa");  
		
		Documento documento = new Documento(0, tipo, isento, taxa); 
		
		try { 
				 
			documentoDAO.update(documento); 
			url="Documento?msg_sucesso=Documento editado com sucesso";   
 
			response.sendRedirect(url); 
		} catch (ClassNotFoundException e) {   
			
			e.printStackTrace(); 
		} catch (SQLException e) {
			
			e.printStackTrace();
		}
	
	}


}
